- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- UdmFieldSuggestion
Full name: projects.locations.instances.suggestQueryFields
Retrieves query field autosuggestions based on user and tenant level usage.
HTTP request
GET https://{endpoint}/v1alpha/{name}:suggestQueryFields
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the instance for which to fetch field suggestions. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body must be empty.
Response body
Response message for the instances.suggestQueryFields method. Next ID: 2
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"suggestions": [
{
object ( |
| Fields | |
|---|---|
suggestions[] |
The list of suggested UDM fields, ranked by usage and relevance. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.instances.suggestQueryFields
For more information, see the IAM documentation.
UdmFieldSuggestion
A single UDM field suggestion. Next ID: 2
| JSON representation |
|---|
{ "udmField": string } |
| Fields | |
|---|---|
udmField |
The fully qualified UDM field name (e.g. "principal.ip"). |